package asm.accessors;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.network.packet.c2s.play.PlayerMoveC2SPacket;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Mutable;
import org.spongepowered.asm.mixin.gen.Accessor;

@Environment(EnvType.CLIENT)
@Mixin({PlayerMoveC2SPacket.class})
public interface IPlayerMoveC2SPacket {
   @Mutable
   @Accessor("onGround")
   void setOnGround(boolean bl);

   @Mutable
   @Accessor("pitch")
   void setPitch(float f);

   @Mutable
   @Accessor("yaw")
   void setYaw(float f);

   @Mutable
   @Accessor("x")
   void setX(double d);

   @Mutable
   @Accessor("z")
   void setZ(double d);
}
